"use strict";
{
  const C3 = self.C3;
  C3.Plugins.skymen_GlobalRuntime.Instance = class GlobalRuntimeInstance extends (
    C3.SDKInstanceBase
  ) {
    constructor(inst, properties) {
      super(inst);

      this.name = "sdk_runtime";
      if (properties) {
        this.name = properties[0];
      }

      globalThis[this.name] = this._runtime;
    }

    Release() {
      super.Release();
    }

    SaveToJson() {
      return {
        name: this.name,
      };
    }

    LoadFromJson(o) {
      this.name = o.name;
      globalThis[this.name] = this._runtime;
      // load state for savegames
    }

    GetDebuggerProperties() {
      return [
        {
          title: "GlobalRuntime",
          properties: [
            //{name: ".current-animation",	value: this._currentAnimation.GetName(),	onedit: v => this.CallAction(Acts.SetAnim, v, 0) },
          ],
        },
      ];
    }
  };
}
